iconv(1)

NAVN
iconv - konverter tekst fra en tegnkodning til en anden

SYNOPSIS
iconv [tilvalg] [-f fra-kodning] [-t til-kodning] [inddatafil ...]

BESKRIVELSE
Programmet iconv læser tekst ind i en kodning og omdanner teksten til en anden kodning. Hvis ingen filer er specificeret, eller hvis de er specificeret som en bindestreg (-), så læser iconv fra standardind. Hvis intet navn på en resultatfil er specificeret, så skriver iconv til standardud.

Hvis ingen fra-kodning er specificeret, så udledes standarden fra det nuværende sprogs tegnkodning. Hvis ingen til-kodning er specificeret, så udledes standarden fra det nuværende sprogs tegnkodning.

TILVALG

--from-code=fra-kodning
-f fra-kodning
    Brug fra-kodning for inddatategn.

--to-code=til-kodning
-t til-kodning
    Brug til-kodning for uddatategn.

    If the string //IGNORE is appended to to-encoding, characters that cannot be converted are discarded and an error is printed after conversion. (Characters that cannot be decoded are treated as an error with or without this flag.)

    Hvis strengen //TRANSLIT tilføjes til til-kodning, så translittereres tegn, der konverteres, når behovet er der, og det er muligt. Dette betyder, at når et tegn ikke kan repræsenteres i måltegnsættet, så kan det tilnærmes via en eller flere tegn med et lignende udseende. Tegn der er uden for måltegnsættet og ikke kan translittereres erstattes med et spørgsmålstegn (?) i resultatet.

--list
-l
    Vis alle kendte kodninger for tegnsæt.

-c  Discard characters that cannot be converted instead of terminating when encountering such characters. POSIX requires that this option does not change the exit status of the program.

--output=uddatafil
-o uddatafil
    Brug uddatafil for uddata.

--silent
-s
    Dette tilvalg ignoreres; det tilbydes kun for kompatibilitet.

--verbose
    Vis statusinformation på standardfejl når flere filer behandles.

--help
-?
    Vis en oversigt over brug og afslut.

--usage
    Vis en kort oversigt over brug og afslut.

--version
-V
    Vis versionsnumeret, licensen og garantiansvarsfraskivelsen for iconv.

AFSLUT-STATUS
Nul ved succes, andet end nul ved fejl.

MILJØ
Internt bruger programmet iconv funktionen iconv(3), der igen bruger gconv-moduler (dynamisk indlæste delte biblioteker) til at konvertere til og fra et tegnsæt. Før kald af iconv(3) skal programmet iconv først allokere en konverteringsdeskriptor via iconv_open(3). Operationen af den sidstnævnte funktion er påvirket af indstillingen for miljøvariablen GCONV_PATH.

•   Hvis GCONV_PATH ikke er specificeret, så indlæser iconv_open(3) konfigurationsfilen for gconv-systemmodulet oprettet af iconvconfig(8) og så, baseret på konfigurationen, indlæses gconv-modulerne krævet for at udføre konverteringen. Hvis gconv-systemmodulets konfigurationsfil ikke er tilgængelig, så bruges systemets gconv-modulkonfigurationsfil.

•   Hvis GCONV_PATH er defineret (som en kolonadskilt liste med stinavne), så bruges gconv-systemmodulets konfigurationsmellemlager ikke. I stedet forsøger iconv_open(3) først at indlæse konfigurationsfilerne ved i rækkefølge at søge i mapperne i GCONV_PATH, efterfulgt af konfigurationsfilen for systemets gconv-standardmodul. Hvis en mappe ikke indeholder en konfigurationsfil for gconv-modulet, vil ethvert gconv-modul, der kan indeholde en blive ignoreret. Hvis en mappe indeholder en konfigurationsfil for gconv-modulet, og det bestemmes, at et modul krævet for denne konvertering er tilgængelig i mappen, så indlæses det krævede modul fra den mappe, rækkefølgen vil være, at det første egnede modul i GCONV_PATH bruges. Dette gør det muligt for brugere at anvende egne moduler og endda erstatte systemets moduler ved at placere sådanne moduler i GCONV_PATH-mapperne.

FILER

/usr/lib/gconv
    Normal gconv-modulsti.

/usr/lib/gconv/gconv-modules
    Normal konfigurationsfil for gconv-systemmodulet.

/usr/lib/gconv/gconv-modules.cache
    Gconv-systemmodulets konfigurationsmellemlager.

Afhængig af arkitekturen, kan de ovenstående filer i stedet være placeret i mapper med stipræfikset /usr/lib64.

STANDARDER
POSIX.1-2008.

HISTORIK
POSIX.1-2001.

EKSEMPLER
Konverter tekst fra ISO/IEC 8859-15-tegnkodning til UTF-8:

    $ iconv -f ISO-8859-15 -t UTF-8 < inddata.txt > uddata.txt;

Det næste eksempel konverterer fra UTF-8 til ASCII, translittererende når muligt:

    $ echo abc ß α € àḃç | iconv -f UTF-8 -t ASCII//TRANSLIT;
    abc ss ? EUR abc

SE OGSÅ
locale(1), uconv(1), iconv(3), nl_langinfo(3), charsets(7), iconvconfig(8)

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.